# eoPopEvalFunc< EOT > Class Template Reference

eoPopEvalFunc: This abstract class is for GLOBAL evaluators of a population after variation. More...

`#include <eoPopEvalFunc.h>`

Inheritance diagram for eoPopEvalFunc< EOT >:

List of all members.

## Detailed Description

### template<class EOT>
class eoPopEvalFunc< EOT >

eoPopEvalFunc: This abstract class is for GLOBAL evaluators of a population after variation.

It takes 2 populations (typically the parents and the offspring) and is suppposed to evaluate them alltogether

Basic use: apply an embedded eoEvalFunc to the offspring

Time-varying fitness: apply the embedded eoEvalFunc to both offspring and parents

Advanced uses: Co-evolution or "parisian" approach, or ...

Basic parallelization (synchronous standard evolution engine): call the slaves and wait for the results

Definition at line 49 of file eoPopEvalFunc.h.

The documentation for this class was generated from the following file:

- eoPopEvalFunc.h